Subject: e600 core power management

From: Matt Sealey <[email-masked]>
Date: Mon, 07 Jul 2008 12:48:09 +0100

Hi guys,

Quick question, am I right (and looking at idle_6xx.S, I think I am) in thinking that
during the idle process, by default, an e600 core such as the 7448 or MPC8610 will
automatically transition to a NAP state, thus being as low power as possible?

Has anyone done any benchmarking of the power consumption of the processor when
this transition is disabled (remove CPU_FTR_MAYBE_CAN_NAP) or have a rough idea
what the benefits might be?

Is there a performance reason for removing the feature or disabling naps altogether?
The powersave-nap sysctl controls whether DOZE or NAP is entered on processors that
support a seperate HID0[DOZE], however is it possible to extend it such that nap
is never entered?

-- 
Matt Sealey <[email-masked]>
Genesi, Manager, Developer Relations